Last modified: 2014-08-27 19:33:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60009 - Malayalam chillu characters in the query doesn't appear bold in results.
Malayalam chillu characters in the query doesn't appear bold in results.
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CirrusSearch (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
https://ml.wikipedia.org/w/index.php?...
: i18n
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2014-01-13 17:48 UTC by praveenp
Modified: 2014-08-27 19:33 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Problem Screenshot (134.03 KB, image/png)
2014-01-13 17:48 UTC, praveenp
Details

Description praveenp 2014-01-13 17:48:16 UTC
Created attachment 14299 [details]
Problem Screenshot

Any Malayalam chillu characters (http://unicode.org/versions/Unicode5.1.0/#Malayalam_Chillu_Characters) does not displayed as bold in results as other non-chillu characters of the query. Resulted code is something like <span class="searchmatch">ഡെ</span>ൽ<span class="searchmatch">ഹി</span> where ൽ is a chillu and part of query. Screenshot attached (searched word in screenshot is ഡെൽഹി .
Comment 1 Andre Klapper 2014-01-13 18:10:13 UTC
Hi, could you please provide a link to your search results in the screenshot (instead of the empty search page) and tell us which browser and version you use? Thanks!
Comment 3 Andre Klapper 2014-01-13 18:25:34 UTC
Thanks! Confirming. Search term is ഡെൽഹി and bolding chokes on ൽ.
HTML of above link:
<span class='searchmatch'>ഡെ</span>ൽ<span class='searchmatch'>ഹി</span>
Comment 4 praveenp 2014-01-13 18:39:50 UTC
As far as I see letters ൽ, ൾ, ർ, ൺ, ൻ are omitted from searchmatch class. I am not sure bug:22371 is related but wish to here.
Comment 5 Chad H. 2014-06-30 20:46:22 UTC
Still a problem in CirrusSearch, moving to there.
Comment 6 praveenp 2014-07-09 07:11:39 UTC
Is this related to Malayalam normalization in ml.wikis ([[:bugzilla:22371]])?
Comment 7 Nik Everett 2014-08-27 19:33:59 UTC
I just tried this and it looks like it works with cirrus.  I don't think it is related to bug 22371.  At least, not any more.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links